Debian Bug report logs - #445866
RFP: perforce -- closed source revision control system

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sam Clegg <samo@debian.org>

Date: Mon, 8 Oct 2007 18:33:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Clegg <samo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Clegg <samo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: perforce -- closed source revision control system
Date: Mon, 08 Oct 2007 19:30:09 +0100
Package: wnpp
Severity: wishlist
Owner: Sam Clegg <samo@debian.org>


* Package name    : perforce
  Version         : 2007.2-2
  Upstream Author : Perforce Inc. <support@perforce.com>
* URL             : http://www.perforce.com/
* License         : proprietary
  Programming Lang: binary only (with bindings in Perl, Python, etc.)
  Description     : closed source revision control system

  closed source, centralised source control system akin to CVS and
  subversion.  You'll need a license to run a server with more
  than two users.  Free licenses are granted to open source
  projects.

  I'm in talks with perforce to get explicit permission to
  distribute in non-free.  Current license discussions are here:

  http://lists.debian.org/debian-legal/2007/09/msg00184.html

  My packages are here:

  http://superduper.net/downloads/debian/

  I've created two packages: 'perforce' for the
  client and 'perforce-server' for the server.  The
  'perforce-server' package is a 'fat' package that contains
  many server binaries (since the users license if normally
  limited to a given version).  The server package contains
  debian-friendly init scripts, etc.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #10 received at 445866@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: 445866@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Mon, 8 Oct 2007 15:41:21 -0400
[Message part 1 (text/plain, inline)]
On Mon, Oct 08, 2007 at 07:30:09PM +0100, Sam Clegg wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Sam Clegg <samo@debian.org>
> 
> 
> * Package name    : perforce
>   Version         : 2007.2-2
>   Upstream Author : Perforce Inc. <support@perforce.com>
> * URL             : http://www.perforce.com/
> * License         : proprietary
>   Programming Lang: binary only (with bindings in Perl, Python, etc.)
>   Description     : closed source revision control system
> 
Given the great abundance of revision control systems already packaged
for Debian, what is the point of adding another?  Especially when it is
non-free.

Regards,

-Roberto
-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #15 received at 445866@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: debian-devel@lists.debian.org
Cc: 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Mon, 8 Oct 2007 15:52:55 -0400
On Mon, Oct 08, 2007 at 03:41:21PM -0400, Roberto C. S?nchez wrote:
> Given the great abundance of revision control systems already packaged
> for Debian, what is the point of adding another?  Especially when it is
> non-free.

How about "people use it"?  There's plenty of installations of
perforce; I think making it easier to use Debian with them is
within the mandate for non-free.

-- 
Daniel Jacobowitz
CodeSourcery




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #20 received at 445866@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Daniel Jacobowitz <dan@debian.org>, debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Mon, 08 Oct 2007 22:09:36 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 08, 2007 at 07:52:55PM +0000, Daniel Jacobowitz wrote:
> On Mon, Oct 08, 2007 at 03:41:21PM -0400, Roberto C. S?nchez wrote:
> > Given the great abundance of revision control systems already packaged
> > for Debian, what is the point of adding another?  Especially when it is
> > non-free.
> 
> How about "people use it"?  There's plenty of installations of
> perforce;

  s/perforce/windows/ and the sentence is still true ;)

> I think making it easier to use Debian with them is
> within the mandate for non-free.

  There is ways to interact with perforce in debian, in a free way:
git-p4 being one of them.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #25 received at 445866@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Daniel Jacobowitz <dan@debian.org>
Cc: debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Mon, 08 Oct 2007 23:32:23 +0200
* Pierre Habouzit:

>> How about "people use it"?  There's plenty of installations of
>> perforce;
>
>   s/perforce/windows/ and the sentence is still true ;)

The Windows copyright is pretty restrictive AFAIK.  If it weren't, I'm
certain we hould ship things like Virtualbox VMs in non-free because
there is real demand.

And your Microsoft reference is *so* 90s. 8-)

>> I think making it easier to use Debian with them is
>> within the mandate for non-free.
>
>   There is ways to interact with perforce in debian, in a free way:
> git-p4 being one of them.

| * The import does not require anything from the Perforce client view as
|   it just uses
|   "p4 print //depot/path/file#revision" to get the actual file contents.

Seems to me that this depends on Perforce.  D'oh.

(I don't know anything about Perforce.  Perhaps it's really dangerous
software.  But perhaps it's just non-free.)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tyler MacDonald <tyler@yi.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #30 received at 445866@bugs.debian.org (full text, mbox):

From: Tyler MacDonald <tyler@yi.org>
To: Florian Weimer <fw@deneb.enyo.de>
Cc: Daniel Jacobowitz <dan@debian.org>, debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Mon, 08 Oct 2007 14:42:08 -0700
Florian Weimer <fw@deneb.enyo.de> wrote:
> Seems to me that this depends on Perforce.  D'oh.
> 
> (I don't know anything about Perforce.  Perhaps it's really dangerous
> software.  But perhaps it's just non-free.)

	Perforce is an absolutely *excellent* VCS with the unfortunate
distinction of being proprietary. SubVersion can do most (but not all) of
what it does, albeit 10 times slower. Still, I've migrated all of my stuff
over to subversion, because, well, subversion is free. Perforce is free (as
in "free beer") for open source developers, if you want more than 2 users on
one VCS server, you have to sign a contract, get a license, give the
perforce people full access to your repo, sign a new contract whenever you
server's IP address changes, and renew each year....

		- Tyler





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #35 received at 445866@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Florian Weimer <fw@deneb.enyo.de>
Cc: Daniel Jacobowitz <dan@debian.org>, debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Tue, 09 Oct 2007 00:51:08 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 08, 2007 at 09:32:23PM +0000, Florian Weimer wrote:
> * Pierre Habouzit:
> >> I think making it easier to use Debian with them is
> >> within the mandate for non-free.
> >
> >   There is ways to interact with perforce in debian, in a free way:
> > git-p4 being one of them.
> | * The import does not require anything from the Perforce client view as
> |   it just uses
> |   "p4 print //depot/path/file#revision" to get the actual file contents.
> 
> Seems to me that this depends on Perforce.  D'oh.

  heh okay :)

> (I don't know anything about Perforce.  Perhaps it's really dangerous
> software.  But perhaps it's just non-free.)

  OTOH I'm always reluctant to see new things enter non-free when there
is perfectly suitable alternatives. I mean git, hg, bzr, or even the
horrible svn can do what p4 does, or even way better.

  But I understand that you don't always chose the tools you have to use
at work.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #40 received at 445866@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: debian-devel@lists.debian.org
Cc: 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Tue, 09 Oct 2007 05:41:27 +0300
Daniel Jacobowitz wrote:
> On Mon, Oct 08, 2007 at 03:41:21PM -0400, Roberto C. S?nchez wrote:
>> Given the great abundance of revision control systems already packaged
>> for Debian, what is the point of adding another?  Especially when it is
>> non-free.
> 
> How about "people use it"?  There's plenty of installations of
> perforce; I think making it easier to use Debian with them is
> within the mandate for non-free.
I'd say upload only the client to non-free.

We should provide users a way to use their existent preforce servers but
we should not encourage new installations of perforce.

Sounds like a compromise to me :)

Regards,
Faidon




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Clegg <sam@superduper.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #45 received at 445866@bugs.debian.org (full text, mbox):

From: Sam Clegg <sam@superduper.net>
To: Tyler MacDonald <tyler@yi.org>
Cc: Florian Weimer <fw@deneb.enyo.de>, Daniel Jacobowitz <dan@debian.org>, debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Tue, 09 Oct 2007 12:24:00 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2007-10-08 at 14:42 -0700, Tyler MacDonald wrote:
> Florian Weimer <fw@deneb.enyo.de> wrote:
> > Seems to me that this depends on Perforce.  D'oh.
> > 
> > (I don't know anything about Perforce.  Perhaps it's really dangerous
> > software.  But perhaps it's just non-free.)
> 
> 	Perforce is an absolutely *excellent* VCS with the unfortunate
> distinction of being proprietary. SubVersion can do most (but not all) of
> what it does, albeit 10 times slower. Still, I've migrated all of my stuff
> over to subversion, because, well, subversion is free. Perforce is free (as
> in "free beer") for open source developers, if you want more than 2 users on
> one VCS server, you have to sign a contract, get a license, give the
> perforce people full access to your repo, sign a new contract whenever you
> server's IP address changes, and renew each year....


Slightly off topic, but you don't need to give the perforce people
access to you repo (unless you really want them to come in a fix
something) and you don't need to renew each year (unless you want
support from them).

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Clegg <sam@superduper.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #50 received at 445866@bugs.debian.org (full text, mbox):

From: Sam Clegg <sam@superduper.net>
To: Faidon Liambotis <paravoid@debian.org>
Cc: debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Tue, 09 Oct 2007 12:28:04 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2007-10-09 at 05:41 +0300, Faidon Liambotis wrote:
> Daniel Jacobowitz wrote:
> > On Mon, Oct 08, 2007 at 03:41:21PM -0400, Roberto C. S?nchez wrote:
> >> Given the great abundance of revision control systems already packaged
> >> for Debian, what is the point of adding another?  Especially when it is
> >> non-free.
> > 
> > How about "people use it"?  There's plenty of installations of
> > perforce; I think making it easier to use Debian with them is
> > within the mandate for non-free.
> I'd say upload only the client to non-free.
> 
> We should provide users a way to use their existent preforce servers but
> we should not encourage new installations of perforce.
> 
> Sounds like a compromise to me :)

Indeed, my primary aim was to make it easy for anyone wanting to run
debian in an org that uses perforce (i.e. people like myself).

I agree the server package is of less use in this respect, its simply
there to make it easy for people to choose debian on the server side as
well.  Pending the legal conclusions I'll upload just the client package
initially.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tyler MacDonald <tyler@yi.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #55 received at 445866@bugs.debian.org (full text, mbox):

From: Tyler MacDonald <tyler@yi.org>
To: Sam Clegg <sam@superduper.net>
Cc: Florian Weimer <fw@deneb.enyo.de>, Daniel Jacobowitz <dan@debian.org>, debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Tue, 09 Oct 2007 07:05:26 -0700
Sam Clegg <sam@superduper.net> wrote:
> > 	Perforce is an absolutely *excellent* VCS with the unfortunate
> > distinction of being proprietary. SubVersion can do most (but not all) of
> > what it does, albeit 10 times slower. Still, I've migrated all of my stuff
> > over to subversion, because, well, subversion is free. Perforce is free (as
> > in "free beer") for open source developers, if you want more than 2 users on
> > one VCS server, you have to sign a contract, get a license, give the
> > perforce people full access to your repo, sign a new contract whenever you
> > server's IP address changes, and renew each year....
> Slightly off topic, but you don't need to give the perforce people
> access to you repo (unless you really want them to come in a fix
> something) and you don't need to renew each year (unless you want
> support from them).

  You don't need to go through all of that if you buy the product. If you
get a free open source developmnet license, they want you to renew every
year, and they want an account on your server so they can make sure you've
only got open source code on there.

		- Tyler





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #60 received at 445866@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: 445866@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Mon, 8 Oct 2007 23:15:38 +0200
On Mon, Oct 08, 2007 at 03:41:21PM -0400, Roberto C. Sánchez wrote:
> Given the great abundance of revision control systems already packaged
> for Debian, what is the point of adding another?

I don't see the relevance of this argument, really, but if you really think
it's a problem: What if someone needed to access an existing Perforce
repository?

/* Steinar */
-- 
Homepage: http://www.sesse.net/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #65 received at 445866@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Tue, 9 Oct 2007 18:53:51 -0400
[Message part 1 (text/plain, inline)]
On Mon, Oct 08, 2007 at 11:15:38PM +0200, Steinar H. Gunderson wrote:
> On Mon, Oct 08, 2007 at 03:41:21PM -0400, Roberto C. Sánchez wrote:
> > Given the great abundance of revision control systems already packaged
> > for Debian, what is the point of adding another?
> 
> I don't see the relevance of this argument, really, but if you really think
> it's a problem: What if someone needed to access an existing Perforce
> repository?
> 
I did not realize that this was only for the client.

Regards,

-Roberto

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #70 received at 445866@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Daniel Jacobowitz <dan@debian.org>
Cc: debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Wed, 10 Oct 2007 12:07:55 +0200
* Pierre Habouzit:

>> (I don't know anything about Perforce.  Perhaps it's really dangerous
>> software.  But perhaps it's just non-free.)
>
>   OTOH I'm always reluctant to see new things enter non-free when there
> is perfectly suitable alternatives. I mean git, hg, bzr, or even the
> horrible svn can do what p4 does, or even way better.

Neither of them speaks the Perforce protocol.

>   But I understand that you don't always chose the tools you have to use
> at work.

There are a some free software projects that use Perforce.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Greenland <steveg@moregruel.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #75 received at 445866@bugs.debian.org (full text, mbox):

From: Steve Greenland <steveg@moregruel.net>
To: debian-devel@lists.debian.org, 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Wed, 10 Oct 2007 10:11:23 -0500
On 08-Oct-07, 16:15 (CDT), "Steinar H. Gunderson" <sgunderson@bigfoot.com> wrote: 
> On Mon, Oct 08, 2007 at 03:41:21PM -0400, Roberto C. S??nchez wrote:
> > Given the great abundance of revision control systems already packaged
> > for Debian, what is the point of adding another?
> 
> I don't see the relevance of this argument, really, but if you really think
> it's a problem: What if someone needed to access an existing Perforce
> repository?

They could download and install the client from Perforce?

Steve

-- 
Steve Greenland
    The irony is that Bill Gates claims to be making a stable operating
    system and Linus Torvalds claims to be trying to take over the
    world.       -- seen on the net




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon+debian-devel@alcopop.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #80 received at 445866@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon+debian-devel@alcopop.org>
To: debian-devel@lists.debian.org
Cc: 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Thu, 11 Oct 2007 15:01:06 +0100
On Mon, Oct 08, 2007 at 03:41:21PM -0400, Roberto C. Sánchez wrote:
> Given the great abundance of revision control systems already packaged
> for Debian, what is the point of adding another?  Especially when it is
> non-free.

Firstly, as it is non-free, it isn't really going "into Debian".
Secondly, if someone wants to package it, and other people use it, why
shouldn't it?

It seems every other semi-controversial ITP gets an obligatory "why
package this when we have X,Y,Z instead?" reply, although seemingly
never from an ftp-master or mirror maintainer or anyone else who is
actually impacted by archive sizes :-(

-- 
Jon Dowland




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #85 received at 445866@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: debian-devel@lists.debian.org, 445866 <445866@bugs.debian.org>
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Thu, 11 Oct 2007 18:53:22 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 11 octobre 2007 à 15:01 +0100, Jon Dowland a écrit :
> It seems every other semi-controversial ITP gets an obligatory "why
> package this when we have X,Y,Z instead?" reply, although seemingly
> never from an ftp-master or mirror maintainer or anyone else who is
> actually impacted by archive sizes :-(

Archive size not so much a concern as archive *quality*. There is
trouble maintaining the quality level reasonable for each packages when
there are so many packages.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, sam clegg <samo@debian.org>. Full text and rfc822 format available.

Message #90 received at 445866@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: debian-devel@lists.debian.org
Cc: 445866@bugs.debian.org
Subject: Re: Bug#445866: ITP: perforce -- closed source revision control system
Date: Thu, 11 Oct 2007 15:41:54 -0700
Jon Dowland <jon+debian-devel@alcopop.org> writes:

> It seems every other semi-controversial ITP gets an obligatory "why
> package this when we have X,Y,Z instead?" reply, although seemingly
> never from an ftp-master or mirror maintainer or anyone else who is
> actually impacted by archive sizes :-(

Consider it an expression of increasing resistance designed to make people
think twice.  I think it's useful even when not enforced.  If one is
convinced that the package is needed, one can always go ahead anyway, but
the resistance provides useful feedback and sometimes identifies packages
that are really unnecessary for reasons that the prospective packager
didn't realize.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. (Thu, 16 Oct 2008 18:03:22 GMT) Full text and rfc822 format available.

Notification sent to Sam Clegg <samo@debian.org>:
Bug acknowledged by developer. (Thu, 16 Oct 2008 18:03:23 GMT) Full text and rfc822 format available.

Message #95 received at 445866-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 445866-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 16 Oct 2008 11:59:34 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 445866
 stop

Further comments on the work done in the bug sent to
445866@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug reopened, originator not changed. Request was from Sam Clegg <sam@superduper.net> to control@bugs.debian.org. (Fri, 17 Oct 2008 09:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sam clegg <samo@debian.org>:
Bug#445866; Package wnpp. (Mon, 24 May 2010 19:11:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sam clegg <samo@debian.org>. (Mon, 24 May 2010 19:11:03 GMT) Full text and rfc822 format available.

Message #102 received at 445866@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 445866@bugs.debian.org
Cc: control@bugs.debian.org
Subject: perforce: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:05:59 +0000
retitle 445866 RFP: perforce -- closed source revision control system
noowner 445866
thanks

Hi,

This is an automatic email to change the status of perforce back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting perforce, please send a mail to
<control@bugs.debian.org> with:

 retitle 445866 ITP: perforce -- closed source revision control system
 owner 445866 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <445866@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: perforce -- closed source revision control system' from 'ITP: perforce -- closed source revision control system' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:22:25 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by sam clegg <samo@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:22:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:36:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.